DNF5-SEARCH(8)

NAME
dnf5-search - Search Command

SYNOPSIS

dnf5 search [options] <pattern>...

DESCRIPTION

The search command in DNF5 is used for searching packages by matching given keywords from the user against various metadata.

By default the command searches for all requested keys (AND operation) in Name or Summary fields from the RPM package metadata. Users can limit the search to specific fields using --name or --summary options. Matching is case-insensitive and globs are supported.

OPTIONS

    --all
        Search patterns also inside Description and URL fields.
        By applying this option the search lists packages that match at least one of the keys (OR operation).
        Cannot be used with --name or --summary.

    --name
        Limit the search to the Name field only.
        Cannot be used with --all or --summary.

    --summary
        Limit the search to the Summary field only.
        Cannot be used with --all or --name.

    --showduplicates
        Show all versions of packages, not only the latest ones.

EXAMPLES

    dnf5 search kernel
        Search kernel keyword inside Name or Summary package metadata fields.

    dnf5 search rpm dbus
        Search packages having both rpm and dbus keywords inside Name or Summary fields.

    dnf5 search --all fedora gnome kde
        Search packages having any of given keywords in Name, Summary, Description or URL fields.

    dnf5 search --name firefox
        Search firefox keyword only in the Name field of packages.

    dnf5 search --summary browser
        Search browser keyword only in the Summary field of packages.

SEE ALSO
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.